Subject: Re: bug#40896: 27.0.91; Moving point fails sometimes in shell-command

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 May 2020 12:40:08 +0300

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Thu, 30 Apr 2020 15:45:38 +0200
> 
> In order to understand the situation better, I have enhanced my test
> code to cover all different values of shell-command-dont-erase-buffer,
> and whether the OUTPUT-BUFFER argument of shell-command is the current
> buffer, or not. Here's the code:

AFAIU, the use case of OUTPUT-BUFFER being different from the current
buffer is meant for the case where subsequent commands accumulate the
output in that buffer, which is why the output is appended in that
case.

Does what you see make more sense now?